package com.adc.da.vdaims.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 确认状态
 */
@Getter
@AllArgsConstructor
public enum ConfirmStatus {

    NOT_CONFIRM("未确认", "0"),
    CONFIRMED("已确认", "1"),
    NONE("", ""),
    ;
    String name;
    String value;

    public static ConfirmStatus getByValue(String value) {
        for (ConfirmStatus item : values()) {
            if (item.getValue().equals(value)) {
                return item;
            }
        }
        return NONE;
    }
}
