package com.adc.da.vdaims.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 申报状态
 */
@Getter
@AllArgsConstructor
public enum DeclareStatus {

    NOT_DECLARE("未申报", "0"),
    DECLARED("已申报", "1"),
    NONE("", ""),
    ;
    String name;
    String value;

    public static DeclareStatus getByValue(String value) {
        for (DeclareStatus item : values()) {
            if (item.getValue().equals(value)) {
                return item;
            }
        }
        return NONE;
    }
}
