package com.adc.da.vdaims.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 纸张编号类型
 */
@Getter
@AllArgsConstructor
public enum SerialNumberType {

    YZXZSDY("一致性证书打印", "1"),
    HGZDY("合格证打印", "2"),
    HBQDDY("环保清单打印", "3"),
    NONE("", ""),
    ;
    String name;
    String value;

    public static SerialNumberType getByValue(String value) {
        for (SerialNumberType item : values()) {
            if (item.getValue().equals(value)) {
                return item;
            }
        }
        return NONE;
    }
}
