package com.adc.da.vdaims.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 合格证模板类型
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum HgzTemplateType {

    TEMPLATE_1("整车.docx", 1),
    TEMPLATE_2("底盘.docx", 2),
    NONE("",  -1),
    ;
    String name;
    int value;

    public static HgzTemplateType getByValue(int value) {
        for (HgzTemplateType item : values()) {
            if (item.getValue() == value) {
                return item;
            }
        }
        return NONE;
    }
}
